# halftone.h File Reference

Template Header. More...

`#include <synfig/vector.h>`
`#include <synfig/angle.h>`

Go to the source code of this file.

## Classes

class | Halftone

## Defines

#define | TYPE_SYMMETRIC 0
#define | TYPE_DARKONLIGHT 1
#define | TYPE_LIGHTONDARK 2
#define | TYPE_DIAMOND 3
#define | TYPE_STRIPE 4

## Detailed Description

Template Header.

$Id$

## Define Documentation

#define TYPE_SYMMETRIC 0

Referenced by Halftone3::get_param_vocab(), Halftone2::get_param_vocab(), Halftone2::Halftone2(), Halftone3::Halftone3(), and Halftone::mask().

#define TYPE_DARKONLIGHT 1

Referenced by Halftone::mask().

#define TYPE_LIGHTONDARK 2

Referenced by Halftone3::get_param_vocab(), Halftone2::get_param_vocab(), and Halftone::mask().

#define TYPE_DIAMOND 3

Referenced by Halftone3::get_param_vocab(), Halftone2::get_param_vocab(), and Halftone::mask().

#define TYPE_STRIPE 4

Referenced by Halftone3::get_param_vocab(), Halftone2::get_param_vocab(), and Halftone::mask().